> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/one-click-repay-v-2/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Place one-click repay v2 POST https://www.okx.com/api/v5/trade/one-click-repay-v2 Content-Type: application/json Trade one-click repay to repay debts. Only applicable to `SPOT mode`/`Multi-currency margin mode`/`Portfolio margin mode`. Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/one-click-repay-v-2 ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `debtCcy` (string, required) — Debt currency - `repayCcyList` (list of string, required) — Repay currency list, e.g. ["USDC","BTC"] The priority of currency to repay is consistent with the order in the array. (The first item has the highest priority) ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeOneClickRepayV2PostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeOneClickRepayV2PostResponsesContentApplicationJsonSchemaDataItems - `debtCcy` (string, optional) — Debt currency - `repayCcyList` (list of string, optional) — Repay currency list, e.g. ["USDC","BTC"] - `ts` (string, optional) — Request time, Unix timestamp format in milliseconds, e.g. `1597026383085` ## Examples **Request** ```json { "debtCcy": "ETH", "repayCcyList": [ "USDT", "BTC" ] } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "debtCcy": "USDC", "repayCcyList": [ "USDC", "BTC" ], "ts": "1742192217514" } ] } ``` **SDK Code** ```python trade_oneClickRepayV2_example import requests url = "https://www.okx.com/api/v5/trade/one-click-repay-v2" payload = { "debtCcy": "ETH", "repayCcyList": ["USDT", "BTC"] } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript trade_oneClickRepayV2_example const url = 'https://www.okx.com/api/v5/trade/one-click-repay-v2'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"debtCcy":"ETH","repayCcyList":["USDT","BTC"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_oneClickRepayV2_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/one-click-repay-v2" payload := strings.NewReader("{\n \"debtCcy\": \"ETH\",\n \"repayCcyList\": [\n \"USDT\",\n \"BTC\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_oneClickRepayV2_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/one-click-repay-v2") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"debtCcy\": \"ETH\",\n \"repayCcyList\": [\n \"USDT\",\n \"BTC\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java trade_oneClickRepayV2_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/trade/one-click-repay-v2") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"debtCcy\": \"ETH\",\n \"repayCcyList\": [\n \"USDT\",\n \"BTC\"\n ]\n}") .asString(); ``` ```php trade_oneClickRepayV2_example request('POST', 'https://www.okx.com/api/v5/trade/one-click-repay-v2', [ 'body' => '{ "debtCcy": "ETH", "repayCcyList": [ "USDT", "BTC" ] }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_oneClickRepayV2_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/one-click-repay-v2"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"debtCcy\": \"ETH\",\n \"repayCcyList\": [\n \"USDT\",\n \"BTC\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift trade_oneClickRepayV2_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = [ "debtCcy": "ETH", "repayCcyList": ["USDT", "BTC"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/one-click-repay-v2")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```